### Method

# Xdp InputCaptureSession set_pointer_barriers

#### Declaration [src]

    void
    xdp_input_capture_session_set_pointer_barriers (
      XdpInputCaptureSession* session,
      GList* barriers,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Sets the pointer barriers for this session. When the request is done, `callback` will be called. You can then call `xdp_input_capture_session_set_pointer_barriers_finish()` to get the results. The result of this request is the list of pointer barriers that failed to apply - barriers not present in the returned list are active.

Once the pointer barrier is applied (i.e. the reply to the DBus Request has been received), the the `XdpInputCapturePointerBarrier:is-active` property is changed on that barrier. Failed barriers have the property set to a `FALSE` value.

This method completes asynchronously. Use `xdp_input_capture_session_set_pointer_barriers_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`barriers`

  Type: A list of `None`

  The pointer barriers to apply.

  The instance takes ownership of the data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.